# Class CIM_KerberosTicket
extends CIM_KerberosCredential

A CIM_KerberosTicket represents a credential issued by a particular Kerberos Key Distribution Center (KDC) to establish an identity, as the result of a successful authentication process. There are two types of tickets that a KDC may issue - a TicketGranting ticket, which is used to protect and authenticate communications between an entity and the KDC, and a Session ticket, which the KDC issues to two entities to allow them to communicate with each other.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Credential
|
+--CIM_KerberosCredential
|
+--CIM_KerberosTicket

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

A CIM_KerberosTicket represents a credential issued by a particular Kerberos Key Distribution Center (KDC) to establish an identity, as the result of a successful authentication process. There are two types of tickets that a KDC may issue - a TicketGranting ticket, which is used to protect and authenticate communications between an entity and the KDC, and a Session ticket, which the KDC issues to two entities to allow them to communicate with each other.

UMLPackagePath | string | CIM::User::Kerberos
Version | string | 2.31.1

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AccessesService | string |
Description | string | The name of the service for which this ticket is used.
MaxLen | uint32 | 256
Override | string | AccessesService
Required | boolean | true
RemoteID | string |
Description | string | RemoteID is the name by which the user is known at the KDC security service.
MaxLen | uint32 | 256
Override | string | RemoteID
Required | boolean | true
ServiceCreationClassName | string |
Deprecated | string | CIM_KerberosCredential.InstanceID
Description | string | The scoping Service's CCN.
MaxLen | uint32 | 256
Required | boolean | true
ServiceName | string |
Deprecated | string | CIM_KerberosCredential.InstanceID
Description | string | The scoping Service's Name. The Kerberos KDC Realm of CIM_KerberosTicket is used to record the security authority, or Realm, name so that tickets issued by different Realms can be separately managed and enumerated.
MaxLen | uint32 | 256
Required | boolean | true
SystemCreationClassName | string |
Deprecated | string | CIM_KerberosCredential.InstanceID
Description | string | The scoping System's CCN.
MaxLen | uint32 | 256
Required | boolean | true
SystemName | string |
Deprecated | string | CIM_KerberosCredential.InstanceID
Description | string | The scoping System's Name.
MaxLen | uint32 | 256
Required | boolean | true
TicketType | uint16 |
Description | string | The Type of CIM_KerberosTicket is used to indicate whether the ticket in question was issued by the Kerberos Key Distribution Center (KDC) to support ongoing communication between the Users Access and the KDC ("TicketGranting"), or was issued by the KDC to support ongoing communication between two Users Access entities ("Session").
Override | string | TicketType
ValueMap | string | 0, 1
Values | string | Session, TicketGranting

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
Expires | datetime | CIM_Credential
InstanceID | string | CIM_KerberosCredential
Issued | datetime | CIM_Credential

## Class Methods